# {{ ansible_managed }}
server {
        root /home/ubuntaires/productiu/web;
        index index.php index.html index.htm;
        server_name ubuntu.cat www.ubuntu.cat;
        
	location / {
                try_files $uri $uri/ /index.php?q=$uri&$args;
        }
        
	error_page 404 /404.html;
        error_page 500 502 503 504 /50x.html;
        
	#location = /50x.html {
        #      root /usr/share/nginx/html/drupal;
        #}

        # pass the PHP scripts to FastCGI server listening on 127.0.0.1:9$
	location ~ \.php$ {
            include snippets/fastcgi-php.conf;
            fastcgi_pass unix:/run/php/php-fpm.sock;
	    ## TUNE buffers to avoid error ##  
    	    fastcgi_buffers 16 32k;
    	    fastcgi_buffer_size 64k;
    	    fastcgi_busy_buffers_size 64k;
    	}
       
}

